Ir al contenido
Documentación de Endless

List assets

GET
/assets

Lists the assets the caller can read.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

organization_id*string
Match^org_
types?string
source?string

Value in

  • "generated"
  • "uploaded"
  • "imported"
created_by?string
models?string
search?string
project_ids?string
conversation_ids?string
canvas_ids?string
since?string
deleted?boolean
ids?string
limit?integer
Range1 <= value <= 100
cursor?string

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assets?organization_id=string"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organization_id": "string",      "created_by_id": "string",      "type": "image",      "title": "string",      "mime_type": "string",      "url": "string",      "content": "string",      "upload_file_state": "in_progress",      "enrichment_state": "ignored",      "visibility": "private",      "workspace_role": "viewer",      "metadata": "string",      "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",      "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c",      "origin_canvas_id": "16b35206-3210-42c7-a590-f6d220e0854e",      "mod_transcript_id": "string",      "mod_asset_id": "string",      "mod_source_id": "string",      "dual_media_id": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "linked_conversation_id": "string",      "shared": true,      "can_edit": true,      "can_delete": true    }  ],  "next_cursor": "string"}